// SPDX-License-Identifier: EUPL-1.2+
// SPDX-FileCopyrightText: Association des Banques et Banquiers, Luxembourg (ABBL)
// Source: https://www.abbl.lu/media/file/global/dynamic/01cc813b203155dc895c102f8957551725377562/Luxembourg Register of IBAN-BIC Codes-20250204.xlsx
// Code generated by code.pfad.fr/swift/internal/cmd/bic-generate DO NOT EDIT.

package bic

import "code.pfad.fr/swift"

var luBLZtoBIC = map[string]swift.BIC{
	"001": {"BCEE", "LU", "LL", ""},
	"002": {"BILL", "LU", "LL", ""},
	"003": {"BGLL", "LU", "LL", ""},
	"007": {"BSUI", "LU", "LL", ""},
	"008": {"BLUX", "LU", "LL", ""},
	"009": {"CCRA", "LU", "LL", ""},
	"014": {"CELL", "LU", "LL", ""},
	"025": {"BMEC", "LU", "LL", ""},
	"032": {"BAER", "LU", "LU", ""},
	"033": {"BSCH", "LU", "LL", ""},
	"034": {"CITI", "LU", "LX", ""},
	"036": {"DEUT", "LU", "LL", ""},
	"038": {"DBSA", "LU", "LL", ""},
	"051": {"NOLA", "LU", "LL", ""},
	"058": {"WBWC", "LU", "LL", ""},
	"060": {"SGAB", "LU", "2S", ""},
	"061": {"SGAB", "LU", "LL", ""},
	"062": {"HAUK", "LU", "LL", ""},
	"064": {"ESSE", "LU", "LL", ""},
	"067": {"CHAS", "LU", "LX", ""},
	"070": {"UBSW", "LU", "LL", ""},
	"077": {"MUGC", "LU", "LL", ""},
	"079": {"MUGC", "LU", "LL", "BAS"},
	"080": {"NIKO", "LU", "LL", ""},
	"083": {"DEGR", "LU", "LL", ""},
	"087": {"SEBK", "LU", "LL", ""},
	"104": {"SNCI", "LU", "L1", ""},
	"107": {"GENO", "LU", "LL", ""},
	"111": {"CCPL", "LU", "LL", ""},
	"116": {"BKCH", "LU", "LL", ""},
	"123": {"AGRI", "LU", "LA", ""},
	"131": {"SPLB", "LU", "L1", ""},
	"133": {"BBDE", "LU", "LL", ""},
	"134": {"BPCP", "LU", "LL", ""},
	"135": {"DGZF", "LU", "LI", ""},
	"143": {"UBNL", "LU", "LL", ""},
	"146": {"STBC", "LU", "LL", ""},
	"147": {"BLIC", "LU", "LX", ""},
	"148": {"BSAF", "LU", "LL", ""},
	"149": {"BNPA", "LU", "LS", ""},
	"151": {"ERBK", "LU", "LL", ""},
	"158": {"UNCR", "LU", "LL", ""},
	"162": {"RBOS", "LU", "LL", ""},
	"164": {"HSHN", "LU", "LB", ""},
	"167": {"BBDA", "LU", "LX", ""},
	"172": {"PRIB", "LU", "LL", ""},
	"177": {"BKBK", "LU", "LL", ""},
	"178": {"BBHC", "LU", "LL", ""},
	"181": {"MHTB", "LU", "LL", ""},
	"183": {"VPBV", "LU", "LL", ""},
	"193": {"CMCI", "LU", "L1", ""},
	"197": {"NATX", "LU", "LL", ""},
	"198": {"PICT", "LU", "LX", ""},
	"222": {"BKCH", "LU", "LA", ""},
	"229": {"HAND", "LU", "LB", ""},
	"250": {"CHAS", "LU", "LW", ""},
	"259": {"DEUT", "LU", "LB", ""},
	"265": {"PBNK", "LU", "LL", ""},
	"281": {"FISP", "LU", "22", ""},
	"284": {"HAVL", "LU", "LL", ""},
	"289": {"CEDE", "LU", "LL", ""},
	"298": {"BPMO", "LU", "LS", ""},
	"301": {"EFGB", "LU", "LX", ""},
	"305": {"DELE", "LU", "LL", ""},
	"316": {"ICBK", "LU", "LL", ""},
	"318": {"HAVL", "LU", "LL", ""},
	"324": {"SWQB", "LU", "LL", ""},
	"328": {"PARB", "LU", "LL", ""},
	"340": {"IRVT", "LU", "LX", ""},
	"341": {"FETA", "LU", "LL", ""},
	"342": {"MEOI", "LU", "L1", ""},
	"343": {"EFGB", "LU", "LX", ""},
	"344": {"ADVZ", "LU", "LL", ""},
	"348": {"ICBK", "LU", "LU", ""},
	"349": {"CITC", "LU", "LL", ""},
	"350": {"CBPX", "LU", "LL", ""},
	"351": {"PPLX", "LU", "LL", ""},
	"358": {"SBOS", "LU", "LX", ""},
	"359": {"KEYT", "LU", "LL", ""},
	"360": {"BACA", "LU", "LL", ""},
	"361": {"BBPP", "LU", "LL", ""},
	"364": {"LOCY", "LU", "LL", ""},
	"365": {"BESC", "LU", "LL", ""},
	"368": {"BMAR", "LU", "2M", ""},
	"371": {"SAFR", "LU", "LL", "CCY"},
	"372": {"BEMO", "LU", "LL", ""},
	"374": {"HSBC", "LU", "LL", ""},
	"375": {"PCBC", "LU", "LL", ""},
	"377": {"PCBC", "LU", "LX", ""},
	"379": {"GAZP", "LU", "LL", ""},
	"381": {"MIRA", "LU", "LL", ""},
	"386": {"ALLF", "LU", "LL", ""},
	"390": {"COMM", "LU", "LL", ""},
	"391": {"CMBC", "LU", "LL", ""},
	"392": {"ABOC", "LU", "LL", ""},
	"393": {"ABOC", "LU", "LB", ""},
	"400": {"RRBA", "LU", "LL", ""},
	"404": {"HYVE", "LU", "LL", ""},
	"406": {"CNOR", "LU", "LX", ""},
	"408": {"BCIR", "LU", "LL", ""},
	"409": {"BARC", "LU", "LL", ""},
	"410": {"ESSE", "LU", "22", ""},
	"411": {"CAIX", "LU", "LL", ""},
	"413": {"CRBA", "LU", "LL", ""},
	"414": {"USBK", "LU", "2L", ""},
	"415": {"GOLD", "LU", "LL", ""},
	"417": {"CMBC", "LU", "LU", ""},
	"421": {"CHDB", "LU", "22", ""},
	"423": {"BOFA", "LU", "LL", "VAM"},
	"427": {"INVL", "LU", "LL", ""},
	"606": {"OLKI", "LU", "L1", ""},
	"619": {"SOXA", "LU", "LL", ""},
	"625": {"PANX", "LU", "L2", ""},
	"627": {"EBPB", "LU", "L2", ""},
	"629": {"CPYX", "LU", "LL", ""},
	"699": {"RBOS", "LU", "LL", ""},
	"700": {"EWUB", "LU", "L2", ""},
	"701": {"RAPS", "LU", "L1", ""},
	"705": {"KBLX", "LU", "LL", ""},
	"713": {"IBNX", "LU", "LM", ""},
	"716": {"MOLU", "LU", "55", ""},
	"751": {"PPLX", "LU", "L2", ""},
	"777": {"MUGC", "LU", "LX", ""},
	"778": {"BOFA", "LU", "LL", ""},
	"802": {"SATY", "LU", "L1", "SRV"},
	"805": {"MAGY", "LU", "L1", ""},
	"807": {"SSWI", "LU", "L1", ""},
	"810": {"SATY", "LU", "L1", "XXX"},
	"814": {"PIPO", "LU", "L2", ""},
	"815": {"VVID", "LU", "L2", ""},
	"816": {"MOLU", "LU", "22", ""},
	"998": {"BEIL", "LU", "LL", ""},
	"999": {"BCLX", "LU", "LL", ""},
}
